| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/debug.h File Reference

Debugging graph. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csDebuggingGraph
| This is a static class that helps with debugging. More...
## Defines
#define | DG_ADD(obj, desc)
#define | DG_ADDCHILD(parent, child)
#define | DG_ADDI(obj, desc)
#define | DG_ADDPARENT(child, parent)
#define | DG_DESCRIBE0(obj, desc)
#define | DG_DESCRIBE1(obj, desc, a)
#define | DG_DESCRIBE2(obj, desc, a, b)
#define | DG_LINK(parent, child)
#define | DG_REM(obj)
#define | DG_REMCHILD(parent, child)
#define | DG_REMPARENT(child, parent)
#define | DG_TYPE(obj, type)
#define | DG_UNLINK(parent, child)

## Detailed Description

Debugging graph.

Definition in file debug.h.